Metafunction
DeepestSpec
The deepest spec of a class with nested template arguments.
DeepestSpec<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the deepest spec is determined.

Remarks
The spec of a SeqAn type is the innermost class that is used in nested subclassing. For example, the deepest spec of Iter<..., VSTree<BottomUp<Mums> > > is Mums.
Return Values

Type | Deepest spec of T.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50